//---------------------------------------------------------------------------
#ifndef MixProbWinsH
#define MixProbWinsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "MixKeyWins.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
class TMixProbWin : public TMixKeyWin
{
__published:	// IDE-managed Components  constructors
  TMenuItem *ProblemItem;
  TOfficeButton *TransferBtn;
  TOfficeButton *ClearBtn;
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall TransferBtnClick(TObject *Sender);
  void __fastcall DeleteBtnClick(TObject *Sender);
  void __fastcall TreeViewDragOver(TObject *Sender, TObject *Source, int X,
     int Y, TDragState State, bool &Accept);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall DisableBtnClick(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall ClearBtnClick(TObject *Sender);
  void __fastcall TreeViewChange(TObject *Sender, TTreeNode *Node);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  AnsiString cap;
  virtual __fastcall TMixProbWin(TComponent* Owner); // unused
  virtual __fastcall TMixProbWin(TComponent* Owner, AnsiString KeyFile, AnsiString TypFile,
     AnsiString ListFile); // unused
  virtual __fastcall TMixProbWin(TComponent* Owner, bool Minimized);
  virtual __fastcall~TMixProbWin();
  virtual void __fastcall SetNothingSelected();
  virtual void __fastcall Save();
  virtual void __fastcall Load();
};
//---------------------------------------------------------------------------
extern TMixProbWin *MixProbWin;
//---------------------------------------------------------------------------
#endif
