//---------------------------------------------------------------------------
#ifndef SetupDlgH
#define SetupDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
// mixkey also defined in mixmaster.h--but that unit is not used in setup
const AnsiString MixKey = "Software\\Mixmaster";
class TSetupForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TNotebook *Notebook1;
  TLabel *Appname;
  TCheckBox *GroupBox;
  TButton *BackBtn;
  TButton *NextBtn;
  TButton *CancelBtn;
  TLabel *Copyright;
  TLabel *Label3;
  TEdit *EAddr;
  TLabel *Label2;
  TEdit *Host;
  TEdit *AppDIR;
  TLabel *Label4;
  TButton *BrowseBtn;
  TRichEdit *RichEdit1;
  TLabel *Label6;
  TRichEdit *RichEdit2;
  TRichEdit *RichEdit3;
  TLabel *Label7;
  TRichEdit *RichEdit4;
  TLabel *Label8;
  TLabel *Label5;
  TRichEdit *RichEdit6;
  TCheckBox *RunQuickBox;
  TRichEdit *RichEdit5;
  void __fastcall BackBtnClick(TObject *Sender);
  void __fastcall NextBtnClick(TObject *Sender);
  void __fastcall BrowseBtnClick(TObject *Sender);
  void __fastcall EAddrChange(TObject *Sender);
  void __fastcall HostChange(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall FormShow(TObject *Sender);
private:	// User declarations
  void __fastcall WMSysCommand(TWMSysCommand &Msg);
public:		// User declarations
   bool isUpdate;
   TIcon *OrgAppIcon;
   AnsiString AppEXE,AppDAT,AppINI,TempDir,MixDIR,releasever;
   __fastcall TSetupForm(TComponent* Owner);
   bool __fastcall CopySetupFile(const AnsiString &ExistingName, const AnsiString &NewName, bool failifexists=false);
   bool __fastcall CopyFiles();
   bool __fastcall ReadRegistry();
   void __fastcall ReadDat();
   bool __fastcall WriteProgGroup();
   bool __fastcall WriteRegistry();
   bool __fastcall WriteDat();
   bool __fastcall RunSetup();
   BEGIN_MESSAGE_MAP
      MESSAGE_HANDLER(WM_SYSCOMMAND,TWMSysCommand,WMSysCommand)
   END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern TSetupForm *SetupForm;
//---------------------------------------------------------------------------
#endif
